package com.autentia.tutorial.services;

import java.util.List;

import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

@Transactional
@Repository
public class ProviderStore {

	private final Logger logger = LoggerFactory.getLogger(ProviderStore.class);
	
	@PersistenceContext
	private EntityManager em;
	
	@Transactional(readOnly = true)
	@SuppressWarnings("unchecked")
	public List<String> getProvidersNames() {
		return em.createQuery("select p.name from Provider p").getResultList();
	}
	
	@Transactional(readOnly = true)
	public Provider loadProvider(Long id) {
		return em.find(Provider.class, id);
	}

	public Provider sotreProvider(Provider provider) {
		logger.debug("Storing provider with id: {}", provider.getId());
		return em.merge(provider);
	}

}
